<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
*     Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved. 
*     Use is subject to license terms.
-->
<html>
    <head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8">
        <title>Standard Web Project Properties Dialog Box: Packaging</title>
        <link rel="stylesheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
    </head>
    <body>
        <h2>Standard Web Project Properties Dialog Box: Packaging</h2>

        <p><small><a href="#seealso">See Also</a></small>

        <p>You open the Standard Web Project Properties dialog box by right-clicking
            any <object classid="java:com.sun.java.help.impl.JHSecondaryViewer">
                <param name="content" value="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/project/csh/glossary_standard.html">
                <param name="viewerActivator" value="javax.help.LinkLabel">
                <param name="viewerStyle" value="javax.help.Popup">
                <param name="viewerSize" value="400,220">
                <param name="text" value="standard Web project">
                <param name="textFontSize" value="medium">
                <param name="textFontFamily" value="SansSerif">
                <param name="textFontStyle" value="italic">
                <param name="textFontWeight" value="bold">
                <param name="textColor" value="blue">
            </object>

            &nbsp;and choosing Properties.</p>

        <p>The Packaging page lets you specify the JAR files, folders, libraries, and projects
            that are part of your project but that are excluded from the classpath. For example,
            a library of applets or a folder of images can be included in the project in this
            page. You can also set up the filter for which files are excluded from the WAR file.</p>

        <p>You can add any of the following:</p>

        <ul>
            <li><b>JAR file.</b> A JAR file somewhere on your system.</li>

            <li><b><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_libraries.html">Library</a>.</b>
                A collection of binary files, source files, and Javadoc files.</li>

            <li><b><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_dependencies.html">Project</a>.</b>
                The build output, source files, and Javadoc files of another IDE project.</li>
        </ul>

        <p><b>Notes:</b></p>

        <ul>
            <li>To include an item in the classpath, use the Libraries page.</li>

            <li>To disable building of WAR files for a project, open <tt>build.xml, </tt>override
                the <tt>do-dist</tt> target and remove all the dependencies from the target,
                like so:<br>
                <pre>&lt;target name=&quot;do-dist&quot; /&gt;</pre></li>

            <li>By default, the projects required by the current project are built when the current
                project is built. Required projects are projects on the classpath, which is defined
                in the Libraries page, as well as projects defined in the Packaging page. Deselect
                the Build Required Projects checkbox in the Libraries page if you do not want the
                required projects to be built when the current project is built.</li>
        </ul>

        <dl>
            <dt><a name="seealso">See Also</a></dt>
            <dd> <a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/project/proj_stand_about.html">About Standard Projects</a></dd>
            <dd>  <a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/project/proj_free_about.html">About Free-Form Projects</a></dd>
            <dd>Standard Web Project Properties Dialog Box:</dd>
            <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="WebCustomizerSources.html">Sources</a></dd>
            <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="CustomizerFrameworks.html">Frameworks</a></dd>
            <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="WebCustomizerLibraries.html">Libraries</a></dd>
            <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="WebCustomizerCompile.html">Compiling</a></dd>
            <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="WebCustomizerJavadoc.html">Documenting</a></dd>
            <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="WebCustomizerRun.html">Run</a></dd>
            <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="CustomizerWSServiceHost.html">Web Services</a></dd>
            <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="CustomizerWSClientHost.html">Web Service Clients</a></dd>
        </dl>

        <hr><small><a href="../../../credits.html">Legal Notices</a></small>

        <table border="0" cellpadding="20">
            <tr><td>&nbsp;</td></tr>
            <tr><td>&nbsp;</td></tr>
            <tr><td>&nbsp;</td></tr>
        </table>
    </body>
</html>